Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
Public Class ReopenWorkSheet_PopUp
    Inherits BaseObject

    Private _WorkSheet_ReopenReason_Type As WorkSheet_ReopenReason_Type
    Private _Description As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property WorkSheet_ReopenReason_Type As WorkSheet_ReopenReason_Type
        Get
            Return _WorkSheet_ReopenReason_Type
        End Get
        Set(value As WorkSheet_ReopenReason_Type)
            SetPropertyValue("WorkSheet_ReopenReason_Type", _WorkSheet_ReopenReason_Type, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class
